
Redmine - Defect #4072

Custom query and "for all projects".

2009-10-21 17:52 - S Reid

Status: Closed Start date: 2009-10-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 0.8.4

Description

If I create a new custom query (e.g. status == open, version != backlog) with "for all projects" ticked, as soon as I save it, the second

filter (version != backlog) is lost. It's not applied to the list of issues, and if I edit the custom query, the second filter is missing.

This does not happen if I do it in 2 stages. I.e. create the custom query without ticking "for all projects" and save it. Then edit it,

enable "for all projects" and save it again.

Related issues:

Is duplicate of Redmine - Defect #3512: can't use 'Target Version' field in c... Closed 2009-06-18

History

#1 - 2009-10-22 10:59 - S Reid

Also, if I then try to make the custom query public, I then also lose my second filter (target version). If I try to add it back by editing the customer

query, I find that "target versino" is not on the filter drop down list. I then have to delete to query and start again.

#2 - 2009-10-22 19:31 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

See #3512.
